scala.tools.nsc.backend

# opt

#### package opt

Visibility

1. Public
2. All

### Type Members

1. #### abstract class ClosureElimination extends SubComponent

2. #### abstract class DeadCodeElimination extends SubComponent

3. #### abstract class InlineExceptionHandlers extends SubComponent

   This optimization phase inlines the exception handlers so that further phases can optimize the code better

4. #### abstract class Inliners extends SubComponent

   Inliner balances two competing goals: (a) aggressive inlining of: (a.

### Ungrouped